import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';
import 'package:syncrow_web/utils/extension/build_context_x.dart';

class PowerClampEnergyDataDeviceDropdown extends StatelessWidget {
  const PowerClampEnergyDataDeviceDropdown({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(16),
        border: Border.all(
          color: ColorsManager.greyColor,
          width: 1,
        ),
      ),
      child: DropdownButton<String>(
        value: 'Device 1',
        isDense: true,
        borderRadius: BorderRadius.circular(16),
        dropdownColor: ColorsManager.whiteColors,
        underline: const SizedBox.shrink(),
        icon: const RotatedBox(
          quarterTurns: 1,
          child: Icon(Icons.chevron_right, size: 16),
        ),
        style: context.textTheme.labelSmall?.copyWith(
          color: ColorsManager.textPrimaryColor,
          fontWeight: FontWeight.w700,
          fontSize: 14,
        ),
        padding: const EdgeInsetsDirectional.symmetric(
          horizontal: 20,
          vertical: 2,
        ),
        items: [
          for (var i = 1; i < 10; i++)
            DropdownMenuItem(
              value: 'Device $i',
              child: Text(
                'Device $i',
                style: context.textTheme.labelSmall?.copyWith(
                  color: ColorsManager.textPrimaryColor,
                  fontWeight: FontWeight.w700,
                  fontSize: 14,
                ),
              ),
            ),
        ],
        onChanged: (value) {},
      ),
    );
  }
}
