import 'package:syncrow_web/pages/analytics/models/occupancy_heat_map_model.dart';
import 'package:syncrow_web/pages/analytics/params/get_occupancy_heat_map_param.dart';
import 'package:syncrow_web/pages/analytics/services/occupancy_heat_map/occupancy_heat_map_service.dart';

class FakeOccupancyHeatMapService implements OccupancyHeatMapService {
  @override
  Future<List<OccupancyHeatMapModel>> load(GetOccupancyHeatMapParam param) {
    return Future.delayed(const Duration(milliseconds: 200), () {
      final now = DateTime.now();
      final startOfYear = DateTime(now.year, 1, 1);
      final endOfYear = DateTime(now.year, 12, 31);
      final daysInYear = endOfYear.difference(startOfYear).inDays + 1;

      final List<OccupancyHeatMapModel> data = List.generate(
        daysInYear,
        (index) => OccupancyHeatMapModel(
          date: startOfYear.add(Duration(days: index)),
          occupancy: ((index + 1) * 10) % 100,
        ),
      );

      return data;
    });
  }
}
