part of 'setting_bloc_bloc.dart';

abstract class SettingBlocEvent extends Equatable {
  const SettingBlocEvent();
  @override
  List<Object?> get props => [];
}

class SaveDeviceName extends SettingBlocEvent {
  final String deviceName;
  final String deviceId;

  const SaveDeviceName({required this.deviceName, required this.deviceId});

  @override
  List<Object?> get props => [deviceName, deviceId];
}

class StartEditingName extends SettingBlocEvent {}

class CancelEditingName extends SettingBlocEvent {}

class ChangeEditingNameValue extends SettingBlocEvent {
  final String value;
  const ChangeEditingNameValue(this.value);

  @override
  List<Object?> get props => [value];
}

class FetchRoomsEvent extends SettingBlocEvent {
  final String deviceId;

  const FetchRoomsEvent(this.deviceId);

  @override
  List<Object?> get props => [deviceId];
}

class SaveNameEvent extends SettingBlocEvent {
  const SaveNameEvent();
}

class DeviceSettingInitialInfo extends SettingBlocEvent {}

class ChangeNameEvent extends SettingBlocEvent {
  final bool? value;
  const ChangeNameEvent({this.value});
}
class DeleteDeviceEvent extends SettingBlocEvent {}
