import 'package:equatable/equatable.dart';
import 'package:syncrow_web/pages/device_managment/device_setting/bloc/device_info_model.dart';
import 'package:syncrow_web/pages/device_managment/device_setting/bloc/sub_space_model.dart';

abstract class DeviceSettingsState extends Equatable {
  const DeviceSettingsState();

  @override
  List<Object?> get props => [];
}

class SettingBlocInitial extends DeviceSettingsState {
  final String deviceName;
  final String deviceId;
  final bool isEditingName;
  final String editingNameValue;

  const SettingBlocInitial({
    this.deviceName = '',
    this.deviceId = '',
    this.isEditingName = false,
    this.editingNameValue = '',
  });

  SettingBlocInitial copyWith({
    String? deviceName,
    String? deviceId,
    bool? isEditingName,
    String? editingNameValue,
  }) =>
      SettingBlocInitial(
        deviceName: deviceName ?? this.deviceName,
        deviceId: deviceId ?? this.deviceId,
        isEditingName: isEditingName ?? this.isEditingName,
        editingNameValue: editingNameValue ?? this.editingNameValue,
      );

  @override
  List<Object?> get props =>
      [deviceName, deviceId, isEditingName, editingNameValue];
}

class SettingLoadingState extends DeviceSettingsState {}

class UpdateSettingState extends DeviceSettingsState {
  final String deviceName;
  final DeviceInfoModel? deviceInfo;
  const UpdateSettingState({required this.deviceName, this.deviceInfo});

  @override
  List<Object?> get props => [deviceName, deviceInfo];
}

class ErrorState extends DeviceSettingsState {
  final String message;

  const ErrorState({required this.message});
  @override
  List<Object?> get props => [message];
}

class FetchRoomsState extends DeviceSettingsState {
  final List<SubSpaceModel> roomsList;

  const FetchRoomsState({required this.roomsList});

  @override
  List<Object?> get props => [roomsList];
}
